read.search
Textual catalog search (Portuguese, accent-insensitive) with synonyms, redirects, filters, sort and opt-in facets.
- Surface:
GET /v1/read/search· CLIforge read search· MCP toolread.search - Auth: public (no actor;
storeresolves the tenant)
Params (JSON Schema)
Section titled “Params (JSON Schema)”{ "additionalProperties": { "type": "string" }, "properties": { "collection": { "minLength": 1, "type": "string" }, "limit": { "default": 24, "maximum": 100, "minimum": 1, "type": "integer" }, "page": { "default": 1, "maximum": 9007199254740991, "minimum": 1, "type": "integer" }, "q": { "minLength": 1, "type": "string" }, "store": { "minLength": 1, "type": "string" } }, "required": [ "q" ], "type": "object"}Result (200)
Section titled “Result (200)”Open (unknown) — this capability does not declare an output schema.
Errors
Section titled “Errors”validation_failed (400) · not_found (404)